## mass-transit 0.1-1

=== debian/changelog ===
mass-transit (0.1-1) stable; urgency=low

  Fixed (large) icon.

 -- Thibault Cohen <titilambert@gmail.com>  Sat, 19 Jun 2010 11:54:43 +0000
