=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/mass-transit" install
	mkdir -p "$(CURDIR)/debian/mass-transit"

#	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/"
	cp -a "src/opt/Mass-Transit/ui/__init__.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/__init__.py"
	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/"
	cp -a "src/opt/Mass-Transit/ui/favoritelist.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/favoritelist.py"
	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/"
	cp -a "src/opt/Mass-Transit/ui/lineslist.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/lineslist.py"
	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/"
	cp -a "src/opt/Mass-Transit/ui/stopcode.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/stopcode.py"
	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/"
	cp -a "src/opt/Mass-Transit/ui/stopcodelist.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/stopcodelist.py"
	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/"
	cp -a "src/opt/Mass-Transit/lib/BeautifulSoup.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/BeautifulSoup.py"
	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/"
	cp -a "src/opt/Mass-Transit/lib/__init__.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/__init__.py"
	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/"
	cp -a "src/opt/Mass-Transit/lib/lib_masstransit.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/lib_masstransit.py"
	mkdir -p "$(CURDIR)/debian/mass-transit/usr/share/icons/hicolor/48x48/hildon/"
	cp -a "src/usr/share/icons/hicolor/48x48/hildon/mass-transit.png" "$(CURDIR)/debian/mass-transit/usr/share/icons/hicolor/48x48/hildon/mass-transit.png"
	mkdir -p "$(CURDIR)/debian/mass-transit/usr/share/applications/hildon/"
	cp -a "src/usr/share/applications/hildon/Mass-Transit.desktop" "$(CURDIR)/debian/mass-transit/usr/share/applications/hildon/Mass-Transit.desktop"
	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/module/"
	cp -a "src/opt/Mass-Transit/module/__init__.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/module/__init__.py"
	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/module/"
	cp -a "src/opt/Mass-Transit/module/stm.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/module/stm.py"
	mkdir -p "$(CURDIR)/debian/mass-transit/usr/share/icons/hicolor/scalable/hildon/"
	cp -a "src/usr/share/icons/hicolor/scalable/hildon/mass-transit.png" "$(CURDIR)/debian/mass-transit/usr/share/icons/hicolor/scalable/hildon/mass-transit.png"
	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/"
	cp -a "src/opt/Mass-Transit/LICENSE" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/LICENSE"
	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/"
	cp -a "src/opt/Mass-Transit/masstransit.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/masstransit.py"
	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/"
	cp -a "src/opt/Mass-Transit/mt_loader.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/mt_loader.py"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
