## mass-transit 0.1-2

=== debian/changelog ===
mass-transit (0.1-2) stable; urgency=low

  Fixed (large) icon.

 -- Thibault Cohen <titilambert@gmail.com>  Sat, 19 Jun 2010 12:46:06 +0000
