=== debian/control ===
Source: mass-transit
Section: user/navigation
Priority: extra
Maintainer: Thibault Cohen <titilambert@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: mass-transit
Architecture: all
Depends: python2.5, python-osso, python2.5-qt4-common, python2.5-qt4-core, python2.5-qt4-gui
Description: Fetch all Montreal bus schedules with this application
