## mass-transit 0.5-1

=== debian/changelog ===
mass-transit (0.5-1) stable; urgency=low

  Now client needs server

 -- Thibault Cohen <titilambert@gmail.com>  Fri, 30 Jul 2010 01:27:31 +0000
