=== debian/control ===
--- 
+++ 
@@ -7,5 +7,6 @@
 
 Package: mass-transit
 Architecture: all
-Depends: python2.5, python-osso, python2.5-qt4-common, python2.5-qt4-core, python2.5-qt4-gui
+Depends: python2.5, python-osso, python2.5-qt4-common, python2.5-qt4-core, python2.5-qt4-gui, python-simplejson
 Description: Fetch all Montreal bus schedules with this application
+XSBC-Bugtracker: XSBC-Bugtracker: http://redmine.titilambert.org/projects/stm/issues
