=== debian/rules ===
--- 
+++ 
@@ -49,35 +49,53 @@
 #	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/"
 	cp -a "src/opt/Mass-Transit/ui/__init__.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/__init__.py"
 	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/"
+	cp -a "src/opt/Mass-Transit/ui/__init__.pyo" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/__init__.pyo"
+	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/"
 	cp -a "src/opt/Mass-Transit/ui/favoritelist.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/favoritelist.py"
+	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/"
+	cp -a "src/opt/Mass-Transit/ui/favoritelist.pyo" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/favoritelist.pyo"
 	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/"
 	cp -a "src/opt/Mass-Transit/ui/lineslist.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/lineslist.py"
 	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/"
+	cp -a "src/opt/Mass-Transit/ui/lineslist.pyo" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/lineslist.pyo"
+	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/"
 	cp -a "src/opt/Mass-Transit/ui/stopcode.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/stopcode.py"
 	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/"
+	cp -a "src/opt/Mass-Transit/ui/stopcode.pyo" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/stopcode.pyo"
+	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/"
 	cp -a "src/opt/Mass-Transit/ui/stopcodelist.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/stopcodelist.py"
-	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/"
-	cp -a "src/opt/Mass-Transit/lib/BeautifulSoup.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/BeautifulSoup.py"
+	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/"
+	cp -a "src/opt/Mass-Transit/ui/stopcodelist.pyo" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/ui/stopcodelist.pyo"
 	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/"
 	cp -a "src/opt/Mass-Transit/lib/__init__.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/__init__.py"
 	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/"
+	cp -a "src/opt/Mass-Transit/lib/__init__.pyo" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/__init__.pyo"
+	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/"
+	cp -a "src/opt/Mass-Transit/lib/client.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/client.py"
+	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/"
+	cp -a "src/opt/Mass-Transit/lib/client.pyo" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/client.pyo"
+	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/"
+	cp -a "src/opt/Mass-Transit/lib/config.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/config.py"
+	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/"
+	cp -a "src/opt/Mass-Transit/lib/config.pyo" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/config.pyo"
+	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/"
 	cp -a "src/opt/Mass-Transit/lib/lib_masstransit.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/lib_masstransit.py"
+	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/"
+	cp -a "src/opt/Mass-Transit/lib/lib_masstransit.pyo" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/lib/lib_masstransit.pyo"
 	mkdir -p "$(CURDIR)/debian/mass-transit/usr/share/icons/hicolor/48x48/hildon/"
 	cp -a "src/usr/share/icons/hicolor/48x48/hildon/mass-transit.png" "$(CURDIR)/debian/mass-transit/usr/share/icons/hicolor/48x48/hildon/mass-transit.png"
 	mkdir -p "$(CURDIR)/debian/mass-transit/usr/share/applications/hildon/"
 	cp -a "src/usr/share/applications/hildon/Mass-Transit.desktop" "$(CURDIR)/debian/mass-transit/usr/share/applications/hildon/Mass-Transit.desktop"
-	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/module/"
-	cp -a "src/opt/Mass-Transit/module/__init__.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/module/__init__.py"
-	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/module/"
-	cp -a "src/opt/Mass-Transit/module/stm.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/module/stm.py"
-	mkdir -p "$(CURDIR)/debian/mass-transit/usr/share/icons/hicolor/scalable/hildon/"
-	cp -a "src/usr/share/icons/hicolor/scalable/hildon/mass-transit.png" "$(CURDIR)/debian/mass-transit/usr/share/icons/hicolor/scalable/hildon/mass-transit.png"
 	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/"
 	cp -a "src/opt/Mass-Transit/LICENSE" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/LICENSE"
 	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/"
 	cp -a "src/opt/Mass-Transit/masstransit.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/masstransit.py"
 	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/"
+	cp -a "src/opt/Mass-Transit/masstransit.pyo" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/masstransit.pyo"
+	mkdir -p "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/"
 	cp -a "src/opt/Mass-Transit/mt_loader.py" "$(CURDIR)/debian/mass-transit/opt/Mass-Transit/mt_loader.py"
+	mkdir -p "$(CURDIR)/debian/mass-transit/usr/share/icons/hicolor/scalable/hildon/"
+	cp -a "src/usr/share/icons/hicolor/scalable/hildon/mass-transit.png" "$(CURDIR)/debian/mass-transit/usr/share/icons/hicolor/scalable/hildon/mass-transit.png"
 
 	# ======================================================
